
Name:       juk
Summary:    KDE Music Player
Version: 	23.08.5
Release:    %mkrel 1
Group:      Graphical desktop/KDE5
License:    GPLv2
URL:        http://utils.kde.org/projects/juk
Source0:    http://download.kde.org/stable/applications/%{version}/src/%name-%{version}.tar.xz
#----------------------------------------------
BuildRequires: cmake
BuildRequires: lib64kconfig-devel
BuildRequires: lib64kcoreaddons-devel
BuildRequires: lib64kf5completion-devel
BuildRequires: lib64kf5configwidgets-devel
BuildRequires: lib64kf5crash-devel
BuildRequires: lib64kf5globalaccel-devel
BuildRequires: lib64kf5i18n-devel
BuildRequires: lib64kf5iconthemes-devel
BuildRequires: lib64kf5jobwidgets-devel
BuildRequires: lib64kf5notifications-devel
BuildRequires: lib64kf5sonnetui-devel
BuildRequires: lib64kf5textwidgets-devel
BuildRequires: lib64kf5wallet-devel
BuildRequires: lib64kf5widgetsaddons-devel
BuildRequires: lib64kf5windowsystem-devel
BuildRequires: lib64kf5xmlgui-devel
BuildRequires: lib64kio-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5svg-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64qt5xml-devel
BuildRequires: lib64taglib-devel
BuildRequires: phonon4qt5-devel
BuildRequires: pkgconfig
BuildRequires: qtbase5-common-devel
#----------------------------------------------

%description
JuK is an audio jukebox application, supporting collections of MP3,
Ogg Vorbis, and FLAC audio files. It allows you to edit the "tags"
of your audio files, and manage your collection and playlists.
It's main focus, in fact, is on music management.


%files
%{_bindir}/juk
%{_datadir}/applications/org.kde.juk.desktop
%{_datadir}/dbus-1/interfaces/org.kde.juk.collection.xml
%{_datadir}/dbus-1/interfaces/org.kde.juk.player.xml
%{_datadir}/dbus-1/interfaces/org.kde.juk.search.xml
%{_datadir}/icons/hicolor/128x128/apps/juk.png
%{_datadir}/icons/hicolor/16x16/apps/juk.png
%{_datadir}/icons/hicolor/32x32/apps/juk.png
%{_datadir}/icons/hicolor/48x48/apps/juk.png
%{_datadir}/icons/hicolor/64x64/apps/juk.png
%{_datadir}/juk/pics/playing.png
%{_datadir}/juk/pics/theme.svg
%{_datadir}/kxmlgui5/juk/jukui-rtl.rc
%{_datadir}/kxmlgui5/juk/jukui.rc
%{_datadir}/locale
%{_datadir}/metainfo/org.kde.juk.appdata.xml
%{_datadir}/knotifications5/juk.notifyrc
/usr/share/kio/servicemenus/jukservicemenu.desktop
#------------------------------------------------------------------------------

%package -n %name-handbook
Summary: %name handbook
Requires: %name
BuildArch: noarch
Group: Documentation

%description -n %name-handbook
This package provides %name handbook.

%files -n %name-handbook
%_kf5_docdir/HTML
#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"

%cmake_kf5 -GNinja

%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

desktop-file-install --vendor="" \
 --remove-category='AudioVideo' \
 --remove-category='Player' \
 --remove-category='Audio' \
 --add-category='X-MandrivaLinux-Multimedia-Sound' \
 %{buildroot}%{_datadir}/applications/*.desktop


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

